Bug 445194 - system-config-kickstart fails to load anaconda-ks.cfg with timezone set as 'timezone --utc Etc/GMT-6'
system-config-kickstart fails to load anaconda-ks.cfg with timezone set as 't...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: system-config-kickstart (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Chris Lumens
Alexander Todorov
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-05 08:09 EDT by ritz
Modified: 2010-10-22 20:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 17:06:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (1.57 KB, patch)
2008-05-05 08:09 EDT, ritz
no flags Details | Diff

  None (edit)
Description ritz 2008-05-05 08:09:52 EDT
Description of problem:
After installing 5.1 if we try loading the default /root/anaconda-ks.cfg file
from system-config-kickstart it fails with below backtrace. This occur only with
timezone set as "timezone --utc Etc/GMT-6" which is only available at the
install time.

#system-config-kickstart anaconda-ks.cfg
Traceback (most recent call last):
 File "/usr/bin/system-config-kickstart", line 82, in ?
   kickstartGui.kickstartGui(file)
 File "/usr/share/system-config-kickstart/kickstartGui.py", line 172, in __init__
   self.applyKsdata()
 File "/usr/share/system-config-kickstart/kickstartGui.py", line 311, in applyKsdata
   self.basic_class.applyKsdata()
 File "/usr/share/system-config-kickstart/basic.py", line 228, in applyKsdata
   self.timezone_combo.list.select_item(self.timezone_list.index(self.ksdata.t
imezone["timezone"]))
ValueError: list.index(x): x not in list


Version-Release number of selected component (if applicable):
system-config-kickstart-2.6.19-1.el5.src.rpm

How reproducible:
always

Steps to Reproduce:
1. Install RHEL5 with timezone as Etc/GMT-6 ( available at install time ).
2. Post install run command below :

#system-config-kickstart /root/anaconda-ks.cfg

Actual results:
system-config-kickstart fails with backtrace provided.

Expected results:
system-config-kickstart should load the file without any errors.

Additional info:

In system-config-kickstart - "/usr/share/system-config-kickstart/basic.py",
timezone_list is read from /usr/share/zoneinfo/zone.tab, provided by tzdata
package. This file does not list any time zone under "Etc".

       #populate time zone combo
       if os.access("/usr/share/zoneinfo/zone.tab", os.R_OK):
           tz = open ("/usr/share/zoneinfo/zone.tab", "r")
           lines = tz.readlines()
           tz.close()
                   ...
                   self.timezone_list.append(tokens[2])

In anaconda - "/usr/lib/anaconda/textw/timezone_text.py", timezone is read using
zonetab file from system-config-date

   def getTimezoneList(self):
        import zonetab

        zt = zonetab.ZoneTab()
        zoneList = [ x.tz for x in zt.getEntries() ]
        zoneList.sort()
        return zoneList


The attached patch rewrites system-config-kickstart to use zonetab from
system-config-date package.
Comment 1 ritz 2008-05-05 08:09:52 EDT
Created attachment 304524 [details]
patch
Comment 2 RHEL Product and Program Management 2008-06-02 16:02:13 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Chris Lumens 2008-06-17 13:10:13 EDT
This will be fixed in the next build of system-config-kickstart.  Thanks for the
patch.
Comment 8 errata-xmlrpc 2009-01-20 17:06:05 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0228.html

Note You need to log in before you can comment on or make changes to this bug.